[unixODBC-support] cursor not supported in unixodbc?

Tom Lee tom_lee01 at hotmail.com
Wed Oct 27 09:16:02 BST 2004



>From: Nick Gorham <nick.gorham at easysoft.com>
>Reply-To: Support for the unixODBC project <unixodbc-support at easysoft.com>
>To: Support for the unixODBC project <unixodbc-support at easysoft.com>
>Subject: Re: [unixODBC-support] cursor not supported in unixodbc?
>Date: Wed, 27 Oct 2004 07:59:38 +0100
>
>Tom Lee wrote:
>
>>Hello,
>>
>>I tried unixODBC-2.2.5-9 and  MyODBC-3.51.09-1, and noticed that the SQL 
>>connect will fail
>>if  SQLSetConnectAttr (hdbc, SQL_ATTR_ODBC_CURSORS, (void 
>>*)SQL_CUR_USE_ODBC,0)
>>is used.
>>
>>The same code works fine with iodbc. Seems that unixodbc doesn't support 
>>cursors?
>>can somebody clarify for me?
>>Thanks.
>
>
>Hi,
>
>It should do, there is a cursor lib. Though 2.2.5 is some months old. try 
>the current 2.2.10 and let me know how it goes.
>

After  remove 2.2.5, install 2.2.10, and then I am unable to install MyODBC 
RPM, I got the
error message.

libodbcinst.so.1 is needed by MyODBC-3.51.09-1

I have added the symoblic link making /usr/lib/libodbcinst.so.1 pointing to
/usr/local/lib/libodbcinst.so.1.0.0 , it doesn't help.

It seems that I need to compile and rebuiild MyODBC again. any way to get 
RPM work?
it makes uninstallation easy if someting breaks.
thanks.

Tom



>From the version number, I guess you have installed from RPM, maybe the 
>makers of theRPM, didn't kno wto include the cursor library lib...
>
>What error do you get when the connect fails ?
>
>--
>Nick
>_______________________________________________
>unixODBC-support mailing list
>unixODBC-support at easysoft.com
>http://mail.easysoft.com/mailman/listinfo/unixodbc-support

_________________________________________________________________
Express yourself instantly with MSN Messenger! Download today - it's FREE! 
hthttp://messenger.msn.click-url.com/go/onm00200471ave/direct/01/




More information about the unixODBC-support mailing list